### Function

# GdkPixbuf PixbufDestroyNotify

#### Declaration

    void
    (* GdkPixbufDestroyNotify) (
      guchar* pixels,
      gpointer data
    )

#### Description [src]

A function of this type is responsible for freeing the pixel array of a pixbuf.

The `gdk_pixbuf_new_from_data()` function lets you pass in a pre-allocated pixel array so that a pixbuf can be created from it; in this case you will need to pass in a function of type `GdkPixbufDestroyNotify` so that the pixel data can be freed when the pixbuf is finalized.

#### Parameters

`pixels` | An array of `guint8`
| The pixel array of the pixbuf that is being finalized.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User closure data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.